API ReferenceNotification
Get Notifications
Get notifications.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Query Parameters
page?number
The page number to return.
Format
doublepageSize?number
The number of results to return per page.
Format
doublestatus?string
Filter by status.
since?string
Filter by since.
Format
date-timemachineIds?array<>
An array of machine IDs to filter by.
recipientIds?array<string>
An array of recipient IDs to filter by.
Response Body
application/json
Try it live
curl -X GET "https://example.com/notifications"{ "data": [ { "id": "string", "title": { "property1": "string", "property2": "string" }, "description": { "property1": "string", "property2": "string" }, "alertedAt": "string", "machineId": 0.1, "severity": "string", "isRead": true, "recipientId": "string", "dateGroup": "today", "relatedDateRange": { "start": "string", "end": "string", "shiftId": 0.1 } } ], "totalItems": 0.1, "summary": { "property1": 0.1, "property2": 0.1 }}